Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
Class FileReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.FileReaderSource

All Implemented Interfaces:
  HasCleanup, ReaderSource

    public class FileReaderSource

extends AbstractReaderSource

A ReaderSource for source files.

Version:
  $Id: FileReaderSource.java 10715 2008-02-04 11:10:47Z glaforge $
Author:
  Chris Poirier

Field Summary

Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`configuration`

Constructor Summary
`FileReaderSource(File file, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`canReopenSource, cleanup, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileReaderSource

    public FileReaderSource(File file,
                            CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.

  Parameters:
    `file` - script source file
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public Reader getReader()
                     throws IOException

  Returns a new Reader on the underlying source object.

  Returns:
    the reader to the resource
  Throws:
    `IOException` - if there was an error opening for stream

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD